org.richfaces.renderkit

## Class PlaceholderRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.PlaceholderRendererBase

- Direct Known Subclasses:
    PlaceholderRenderer

      public abstract class PlaceholderRendererBase
      extends org.richfaces.renderkit.RendererBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RENDERER_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlaceholderRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `String` | `getConvertedValue(javax.faces.context.FacesContext facesContext, AbstractPlaceholder placeholder)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlaceholderRendererBase

          public PlaceholderRendererBase()

  - ### Method Detail

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)
                         throws IOException

      Overrides:
        `encodeEnd` in class `org.richfaces.renderkit.RendererBase`
      Throws:
        `IOException`

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Overrides:
        `doEncodeEnd` in class `org.richfaces.renderkit.RendererBase`
      Throws:
        `IOException`

    - #### getConvertedValue

          public String getConvertedValue(javax.faces.context.FacesContext facesContext,
                                 AbstractPlaceholder placeholder)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.